org.eclipse.mat.ui.internal.query.arguments

## Interface ArgumentEditor.IEditorListener

All Known Implementing Classes:
  ArgumentsTable, ProviderArgumentsTable

Enclosing class:
  ArgumentEditor

    public static interface ArgumentEditor.IEditorListener

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onError(ArgumentEditor editor, String message)`
`void` `onFocus(String message)`
`void` `onModeChange(LinkEditor.Mode mode, ArgumentDescriptor descriptor)`
`void` `onValueChanged(Object value, ArgumentDescriptor descriptor, TableItem item, ArgumentEditor editor)`

### Method Detail

#### onValueChanged

    void onValueChanged(Object value,
                        ArgumentDescriptor descriptor,
                        TableItem item,
                        ArgumentEditor editor)

#### onError

    void onError(ArgumentEditor editor,
                 String message)

#### onFocus

    void onFocus(String message)

#### onModeChange

    void onModeChange(LinkEditor.Mode mode,
                      ArgumentDescriptor descriptor)